#include <bits/stdc++.h>
using namespace std;

int main() {
    ios::sync_with_stdio(false);
    cin.tie(nullptr);
    
    int N;
    cin >> N;
    
    vector<long long> A(N), B(N);
    for(int i = 0; i < N; i++) cin >> A[i];
    for(int i = 0; i < N; i++) cin >> B[i];
    
    long long maksimalna = 0;
    

    for(int L = 0; L < N; L++) {
        long long tmpXor = 0;
        long long tmpAnd = B[L];
        
 
        for(int R = L; R < N; R++) {
  
            if(R == L) tmpXor = A[R];
            else tmpXor ^= A[R];
            
            if(R > L) tmpAnd &= B[R];
            
 
            long long tmp = tmpXor * tmpAnd;
            maksimalna = max(maksimalna, tmp);
        }
    }
    
    cout << maksimalna << "\n";
    
    return 0;
}